[mythtv-users] Mythweb broken in latest SVN?

Greg Woods greg at gregandeva.net
Wed Dec 13 22:09:41 UTC 2006

On Wed, 2006-12-13 at 21:41 +0000, Robin Hill wrote:

> > Error at /var/www/html/mythweb/includes/mythbackend.php, line 167:
> > Incompatible protocol version (mythweb=31, backend=32)

> > 
> Have you installed the new mythweb?  Unless it's changed recently, make
> install in the mythplugins directory doesn't actually install anything
> for mythweb - you need to copy the directory manually.

I didn't know I needed to do that, I've never had to before. But I tried
this and I got a permissions error because all the files were now owned
by root. So I changed the data directory to be writeable by the apache
user to get rid of the permissions error, and now it still gives the
same protocol mismatch error as above. The includes/mythbackend.php file
defines MYTH_PROTO_VERSION to be 31. I double checked again to make sure
that my mythplugins and mythtv trees are at the same revision (12257).

I also tried hand-setting MYTH_PROTO_VERSION to be 32 to match
mythbackend, but of course that doesn't work; I now get 

Error at /var/www/html/mythweb/includes/programs.php, line 330:
date() expects parameter 2 to be long, string given

on every line of the listings.


More information about the mythtv-users mailing list